exception AngularMomentumError of string
type t = S | P | D | F | G | H | I | J | K | L | M | N | O
val of_char : char -> t
val to_string : t -> string
val to_char : t -> char
val to_int : t -> int
val of_int : int -> t
type kind =
| Singlet of  t
| Doublet of (t*t)
| Triplet of (t*t*t)
| Quartet of (t*t*t*t)

val n_functions : t -> int
val zkey_array : kind -> Z.t array
